Subject: RE: [ipfix-protocol] PROTOCOL-:Can we compare IPFIX with SNMP?

From: "Harrington, David" <[email-masked]>
Date: Mon, 1 Mar 2004 05:57:08 -0500

Hi,

SNMP may appear able to handle this functionality via mib definitions
and traps, but it would be inadequate from a performance point of view. 

The IPFIX protocol needs to be able to gather large amounts of flow
information quickly and export it from the device very quickly. SNMP is
not designed to export these large amounts of data quickly. We certainly
would have considered SNMP if we felt it was applicable.

Thank you for taking the time to look over these protocols and for
providing your feedback. It is appreciated.

David Harrington            
[email-masked]
co-chair, IETF SNMPv3 WG, concluded

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Sunday, February 29, 2004 10:02 PM
> To: [email-masked]
> Subject: [ipfix-protocol] PROTOCOL-:Can we compare IPFIX with SNMP?
> 
> Dear all:
>     I'm a freshman in this field,but when i have taken in 
> it,I was puzzled about it. It seems that we can extend the 
> SNMP protocol to realize our object. Maybe we can extend MIB 
> definations to realize TEMPLATE and by TRAP realize the 
> communication among exports and collects. You may say the 
> network flows are active information and don't fit into MIB 
> definations, but , even so, I think we can utilize the SNMP 
> protocol instead of restart a new protocol(sure,i doesn't 
> consider the commercial factors.).some aspects of SNMP are 
> good,such as pooling and trap machanism, security control 
> based on user, and the most important it is used widely and 
> the actual standard.
>     Please react to me.I am puzzled.
>    
> 
> 
> 
> 
> 

--
Help        mailto:[email-masked] and say "help" in message body
Unsubscribe mailto:[email-masked] and say
"unsubscribe ipfix" in message body
Archive     http://ipfix.doit.wisc.edu/archive/